Skip to content

Create Device Fingerprint
deprecated

Request

A device fingerprint represents a string that identifies a unique device.

This endpoint is used to register the fingerprint of the device as one of the allowed devices used during an One Time Token (OTT) challenge.

This can be used to verify device fingerprint when clearing a OTT.

The request and response are encrypted using the JOSE framework. Please refer to the JOSE JWE guide to understand how encryption and decryption work.

Security
UserToken
Headers
Acceptstringrequired
Default:"application/jose+json"
Accept-Encodingstringrequired
Default:"identity"
Content-Encodingstringrequired
Default:"identity"
X-tw-jose-methodstringrequired
Default:"jwe"
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jose+jsonrequired
string

A JWE encrypted string. The decrypted payload contains:

  • deviceFingerprint — A string value used as a device fingerprint.

Payload before encryption:

{"deviceFingerprint": "3207da22-a0d3-4b6b-a591-6297e646fe32"}
curl -X POST \
  'https://api.wise-sandbox.com/v1/user/partner-device-fingerprints' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Accept: application/jose+json' \
  -H 'Accept-Encoding: identity' \
  -H 'Content-Type: application/jose+json' \
  -H 'Content-Encoding: identity' \
  -H 'X-TW-JOSE-Method: jwe' \
  -d 'eyJlbmMiOiJBMjU2R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.W0fuxaZOoyaBcx...'

Responses

The device fingerprint has been successfully created.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
deviceFingerprintIdstring, (uuid)

Identifier of the device fingerprint.

createdAtstring, (date-time)

Timestamp on when the device fingerprint was created.

Response
{ "deviceFingerprintId": "636a5514-aa86-4719-8700-e9a9a0ae7ea7", "createdAt": "2024-05-24T07:27:58.273205554Z" }